def s2hms(segs):
    """Convierte segundos a horas, minutos, y segundos."""
    mins, segs = divmod(segs, 60)
    hrs, mins = divmod(mins, 60)
    return hrs, mins, segs

def hms2s(hrs, mins, segs):
    """Convierte de horas, minutos y segundos, a segundos."""
    return hrs * 3600 + mins * 60 + segs

assert hms2s(1, 10, 30) == 4230
assert s2hms(4230) == (1, 10, 30)
for i in range(10000):
    assert i == hms2s(*s2hms(i))
